var gulp = require("gulp"),
  sass = require("gulp-sass")(require("sass")),
  autoprefixer = require("gulp-autoprefixer"),
  // sourcemaps = require("gulp-sourcemaps"),
  rtlcss = require("gulp-rtlcss"),
  rename = require("gulp-rename");

const prefix = () => {
  return autoprefixer({
    Browserslist: [
      "Chrome >= 35",
      "Firefox >= 38",
      "Edge >= 12",
      "Explorer >= 10",
      "iOS >= 8",
      "Safari >= 8",
      "Android 2.3",
      "Android >= 4",
      "Opera >= 12",
    ],
  });
};
function compileSass() {
  return sass().on("error", sass.logError);
}
const sassBuild = () => {
  return (
    gulp
      .src(["./assets/scss/root.scss", "./assets/scss/content-form.scss"])
      // .pipe(sourcemaps.init())
      .pipe(compileSass())
      .pipe(autoprefixer("last 2 version"))
      // .pipe(sourcemaps.write("./"))
      .pipe(prefix())
      .pipe(gulp.dest("./assets/css"))
  );
};

function sassBuildRtl() {
  return (
    gulp
      .src(["./assets/scss/root.scss", "./assets/scss/content-form.scss"])
      // .pipe(sourcemaps.init())
      .pipe(compileSass())
      // .pipe(sourcemaps.write("./"))
      .pipe(prefix())
      // Convert to rtl using rtlCss
      .pipe(rtlcss())
      // Append "-rtl" to the filename.
      .pipe(rename({ suffix: "-rtl" }))
      .pipe(gulp.dest("./assets/css"))
  );
}

gulp.task(
  "build",
  gulp.series((done) => {
    gulp.series(sassBuild, sassBuildRtl)();
    done();
  })
);

gulp.task(
  "watch",
  gulp.series((done) => {
    gulp.parallel(sassBuild, sassBuildRtl)();

    gulp.watch("./scss/**/*.scss", (done) => {
      gulp.series(styles, stylesRtl)();
      done();
    });
    done();
  })
);
